//研报更新管理

import http from "@/api/http.js"

/**
 * 获取停更的统计
 * @returns 
 */
 export const pauseReportAll = params => {
  return http.get('/report/getStopDayWeekReportChapterTypeList',params)
}

/**
 * 获取暂停更新的报告
 * StopType stop - 暂停更新; disable - 永久停更
 * @returns 
 */
 export const pauseReport = params => {
  return http.get('/report/getDayWeekReportChapterTypeList',params)
}

/**
 * 设置停更
 * ResearchType
 *List [ "ReportChapterTypeId": 19,"PauseStartTime": "2022-10-27","PauseEndTime": "2022-11-02"]
 */
export const setPauseReport = params => {
  return http.post('/report/setDayWeekReportUpdateRule',params)
}

/**
 * 设置永久停
 * DayReportChapterTypeId
 * WeekReportChapterTypeId
 */
export const setStopReport = params => {
  return http.post('/report/setDayWeekReportEnableUpdateRule',params)
}